%global __brp_check_rpaths %{nil}
%global packname  genstab
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Resampling Based Yield Stability Analyses

License:          GPL-2
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch

%description
Several yield stability analyses are mentioned in this package: variation
and regression based yield stability analyses. Resampling techniques are
integrated with these stability analyses. The function stab.mean()
provides the genotypic means and ranks including their corresponding
confidence intervals. The function stab.var() provides the genotypic
variances over environments including their corresponding confidence
intervals. The function stab.fw() is an extended method from the
Finlay-Wilkinson method (1963). This method can include several other
factors that might impact yield stability. Resampling technique is
integrated into this method. A few missing data points or unbalanced data
are allowed too. The function stab.fw.check() is an extended method from
the Finlay-Wilkinson method (1963). The yield stability is evaluated via
common check line(s). Resampling technique is integrated.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
